## class osgParticle::AngularAccelOperator

> An operator class that applies a constant angular acceleration to the particles

## Inheritance:

### Public Methods

META_Object(osgParticle, AngularAccelOperator)
inline AngularAccelOperator()
inline AngularAccelOperator(const AngularAccelOperator &copy, const osg::CopyOp &copyop)
inline const osg::Vec3& getAngularAcceleration() const
  Get the angular acceleration vector
inline void setAngularAcceleration(const osg::Vec3 &v)
  Set the angular acceleration vector
inline void operate(Particle* P, double dt)
  Apply the angular acceleration to a particle.
inline void beginOperate(Program* prg)
  Perform some initializations.

### Protected Methods

virtual ~AngularAccelOperator()
AngularAccelOperator& operator=(const AngularAccelOperator &)

### Inherited from Operator:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual void endOperate()
inline bool isEnabled() const
inline void setEnabled(bool v)

## Documentation

> An operator class that applies a constant angular acceleration to the particles

`META_Object(osgParticle, AngularAccelOperator)`

`virtual ~AngularAccelOperator()`

`AngularAccelOperator& operator=(const AngularAccelOperator &)`

`inline AngularAccelOperator()`

`inline AngularAccelOperator(const AngularAccelOperator &copy, const osg::CopyOp &copyop)`

`inline const osg::Vec3& getAngularAcceleration() const`
  Get the angular acceleration vector

`inline void setAngularAcceleration(const osg::Vec3 &v)`
  Set the angular acceleration vector

`inline void operate(Particle* P, double dt)`
  Apply the angular acceleration to a particle. Do not call this method manually.

`inline void beginOperate(Program* prg)`
  Perform some initializations. Do not call this method manually.

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.